package com.dji.sdk.cloudapi.map;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.v3.oas.annotations.media.Schema;

import javax.validation.Valid;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.util.List;

/**
 * @author hqjiang
 * @version 0.1
 * @date 2024/7/31
 */
@Schema(description = "picture dir")
public class MapChildGroup {

    @NotNull
    @Schema(description = "dir id")
    private String id;

    @NotNull
    @Schema(description = "dir name")
    private String name;

    @NotNull
    @Schema(description = "data collection of elements")
    private List<@Valid MapGroupElement> elements;


    private Long createTime;

    private Long updateTime;


    public MapChildGroup() {
    }

    @Override
    public String toString() {
        return "MapGroupElement{" +
                "id='" + id + '\'' +
                ", name='" + name + '\'' +
                ", elements=" + elements +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }

    public String getId() {
        return id;
    }

    public MapChildGroup setId(String id) {
        this.id = id;
        return this;
    }

    public String getName() {
        return name;
    }

    public MapChildGroup setName(String name) {
        this.name = name;
        return this;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public MapChildGroup setCreateTime(Long createTime) {
        this.createTime = createTime;
        return this;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public MapChildGroup setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
        return this;
    }


    public List<MapGroupElement> getElements() {
        return elements;
    }

    public MapChildGroup setElements(List<MapGroupElement> elements) {
        this.elements = elements;
        return this;
    }
}
